//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("TactileImageRecognition.res");
USEFORM("Main.cpp", MainForm);
USEFORM("AboutForm.cpp", AboutBox);
USEUNIT("MySources\Robot.cpp");
USEUNIT("MySources\Scene.cpp");
USEUNIT("MySources\Sensor.cpp");
USEFORM("Learn.cpp", LearnForm);
USEUNIT("MySources\NeuroBP.cpp");
USEUNIT("MySources\NeuroFF.cpp");
USEUNIT("MySources\RecognitionNet.cpp");
USEUNIT("MySources\RecognitionSystem.cpp");
USEFORM("InputParm.cpp", InputParmForm);
USEFORM("Autolearn.cpp", AutoLearnForm);
USEFORM("Config.cpp", ConfigForm);
USEUNIT("MySources\Configur.cpp");
USEUNIT("MySources\Pattern.cpp");
USEFORM("InputNumbElem.cpp", InputNumbElemForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
   try
   {
       Application->Initialize();
       Application->Title = "Макет СРТО на базе нейросети";
       Application->CreateForm(__classid(TMainForm), &MainForm);
       Application->Run();
   }
   catch (Exception &exception)
   {
       Application->ShowException(&exception);
   }
   return 0;
}
//---------------------------------------------------------------------------
